# ezQuake Manual: Input Variables

- Input - Joystick
- Input - Keyboard
- Input - Misc
- Input - Mouse

## Input - Joystick Variables

### joystick

#### Description

Toggles usage of joystick device.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Use joystick input.
0 | Do not use joystick.

## Input - Keyboard Variables

### allow_scripts

#### Description

Possibility to prove, that you do NOT use scripts. Of course, values 0 and 1 will block 'rotate' command.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

#### Values

value | description
0 | Same as 1, but also block fast +lookdown/+lookup, so even simple rjump will be impossible. Blocks KTPro /kfjump and /krjump aliases.
1 | Allow only simple scripts - it will block left/right turning, so fjump (for example) will be impossible, but normal rjump (+lookdown;+attack;+jump) will be possible. Blocks KTPro alias /kfjump too.
2 | Allow scripts (default)

Your current 'allow_scripts' setting will be reported to 'f_scripts' query and anyone will be able to check it. If anyone said 'f_scripts' since last mapchange, the client will also autoreport any change of allow_scripts. So if you don't use scripts, turn them off to prove you don't use them. And remember - scripts _are allowed_, so don't call ppl who use them 'cheaters'. This variable will be set to 0 on startup if a command line switches -norjscripts or -noscripts are used

### cl_anglespeedkey

#### Description

This variable sets multiplier by which your "cl_yawspeed" (how fast you turn) is multiplied when running (+speed).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.5

Variable is float.

### cl_backspeed

#### Description

This allows you to set your backward speed. Obviously this is also limited by the server, usually to "320".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 400

Variable is float.

### cl_forwardspeed

#### Description

This allows you to set your forward speed. Obviously this is also limited by the server, usually to "320".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 400

Variable is float.

### cl_keypad

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | You will be able to bind such keys as capslock, numlock, and all numpad keys.
0 | QW compatibility where the keypad keys act the same key name, eg KP_8 acts like uparrow would.

### cl_movespeedkey

#### Description

This variable is the multiplier for how fast you move when running (+speed) in relation to when walking (-speed).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2.0

Variable is float.

### cl_pitchspeed

#### Description

This variable determines how fast you you turn up/down when using "+lookup" and "+lookdown".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 150

Variable is float.

### cl_showkeycodes

#### Description

This variable enables/disables the output of informations to the currently pressed and/or released keys.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Switch off output of scancode/keymapping information (Default)
1 | information about keys will be printed when the keys are pressed.
2 | information about keys will be printed when releasing the keys.
3 | information about keys will be printed when the keys are pressed and also when they are released.

### cl_sidespeed

#### Description

This allows you to set your strafe speed. Obviously this is also limited by the server, usually to "320".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 400

Variable is float.

### cl_smartjump

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Will convert +jump commands to +moveup commands when in liquid (water, lava, slime) and in spectator mode.
0 | Off.

### cl_upspeed

#### Description

This allows you to set the speed with which you move up and down in liquids or in spectator mode. Obviously this is also limited by the server, usually to 320*0.7 = 224 when being in liquid and to 500 in spectator mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 200

Variable is float.

### cl_weaponhide

#### Description

On -attack will cause your weapon to be automatically switched back to the shotgun or axe.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Weapon will not be automatically hidden
1 | After you fire your a weapon, it will get switched to shotgun or axe
2 | Like option 1, but only for deathmatch mode 1.

This is used in majority of teamplay games. If you don't have ammo for shotgun the axe gets selected.

### cl_weaponpreselect

#### Description

When using the weapon command, this variable allows weapon preselection instead of standard immediate weapon selection. Preselection means that the preselected weapon will be switch right before +attack command, that is right before you shoot from your weapon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Immediate weapon selection
1 | Weapon preselection
2 | Weapon preselection when not holding +attack. When holding +attack, select weapon immediately.
3 | Like option 1, but only for deathmatch mode 1, otherwise like 0.
4 | Like option 2, but only for deathmatch mode 1, otherwise like 0.

Usefull in most teamplay games where you don't want to carry your best weapon in your hands but want to be ready to instantly shoot from it. Note: Doesn't work for impulse command, you have to use new weapon command.

### cl_yawspeed

#### Description

This variable defines how quickly you turn left (+left) or right (+right).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 140

Variable is float.

## Input - Misc Variables

### freelook

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enables free look mode, that is, moving the mouse forward and back moves your view
0 | Both -mlook and freelook 0 must be specified to disable free look mode.

direction up or down.

### lookspring

#### Description

This variable toggles the centering of the screen after the -klook command.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Enable automatic force_centerview.
0 | Disable automatic force_centerview.

### lookstrafe

#### Description

This variable toggles the automatic strafing when the +klook command is used. When set to "1" and the player used the +klook command, the keys that are bound to the +left and +right commands will now act as if they were bound to +moveleft and +moveright. This command was put it in order to allow keyboard player to combine the +strafe and +klook commands into one. This command also has effect on the mouse controls. When set to "1" moving the mouse left and right will make the player move left and right instead of making him turn left and right.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### scr_cursor_sensitivity

#### Description

Mouse sensitivity for the cursor used in menus and HUD editor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### sensitivity

#### Description

This variable sets the sensitivity of the mouse, it is one of the most important variables in the whole game.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is float.

## Input - Mouse Variables

### in_di_bufsize

#### Description

Size of the direct input buffer

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 16

Variable is integer.

On some circumstances the default size does not have to be sufficient

### in_evdevice

#### Description

Specify device for evdev mouse. Should be absolute path like /dev/input/event0 use in_evdevlist command to get lost of devices

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.
absolute path to mouse event device

You should have read access to your device. sudo chmod 644 /dev/input/event* should help you if you have trouble

### in_mmt

#### Description

Multithreaded mouse. For most users in_mmt1 + evdev gives the most smooth input

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Use separate thread for reading mouse data
0 | Read mouse data in main thread

Linux only and evdev (in_mouse 3) only.

### in_mouse

#### Description

Different types of mouse input

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Mouse off
1 | Windows: standard mouse; Linux: DGA mouse
2 | Windows: Direct Input; Linux: X Mouse
3 | Windows: Raw Input; Linux: EVDEV mouse

Linux: You have to set in_evdevice to proper value (/dev/input/eventX). Use command in_evdevlist to get the lost of proper values. Also in_mtt makes your mouse more smooth.

### in_m_mwhook

#### Description

In some circumstances allows you to bind additional mouse buttons on Logitech mouse controllers. Deprecated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### in_m_os_parameters

#### Description

Allows you to use your system mouse settings in the client

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Do not keep any of the system mouse settings
1 | Keep acceleration settings
2 | Keep speed settings
3 | Keep both acceleration and speed settings

### in_m_smooth

#### Description

Enables advanced mouse smoothing. You have to be using Direct Input for this to work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### m_accel

#### Description

Sets mouse acceleration like in q3.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### m_filter

#### Description

This variable toggles mouse input filtering. When set to "1", the values which are received from the mouse's input will first be averaged together and then that value will be used in the game. The reason for this command is that some mice had problems with sending sporadic coordinates which make the input from the mouse jerky, also when using a serial or PS/2 mouse, the Windows operating system will only sample mouse input every 25ms, that is 40 times a second (for USB mice the sample rate is 125 Hz, that is every 8 ms). When set to "1" this variable will smooth out the input but it will cause latency between the movement of the mouse and the actual response in the game. When using a PS/2 mouse it is thus first recommended to try to increase the sampling rate either by changing it via your mouse driver or by using the ps2rate program which can be downloaded at ps2rate homepage . If you are playing the game at frame rates above 40 FPS and if you can't increase the sampling rate of your PS/2 rate or if you are playing with a serial mouse it is recommended that you enable this toggle.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### m_forcewheel

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | If you have problems to get MWHEELUP and MWHEELDOWN working set this to 1.
0 | Disable.

### m_forward

#### Description

This variable controls how fast the player should move forward and back when the mouse is moved forward and back. This command has no effect if the +mlook command is in effect because when the mouse is moved forward and back the player looks up and down instead of moving forward and back. Some players might want to set this variable to "0" if they happen not to use +mlook constantly and they only want to use the mouse to turn the player. Setting this variable to "0" will prevent the inadvertent movement of the player forward and back while trying to make precise turns with the mouse.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### m_pitch

#### Description

This variable sets the level of precision when the mouse is used to make the player look up and down while the +mlook command is in effect. By default this variable is set in such a way that moving the mouse forward makes the player look up and moving the mouse backward makes the player look down. Some people prefer to have this movement inverted just like it is inverted for airplane controls. If you wish to use this inverted mouse movement then you should set this variable to a negative value (for example "-0.022"). It is a matter of preference which movement method is used by players. Also lowering the value for this variable will increase the level of precision when the mouse is used to make the player look up and down. This variable can be used separately from the sensitivity variable to provide greater control over the mouse sensitivity for movement along the pitch. It is advisable to keep the value for this variable constant at 0.022 or -0.022 and instead use the sensitivity variable to change the overall sensitivity of the mouse. Also, some script writers lower the value for this variable along with a lowered value for the fov variable in order to provide more precision when the fov variable is used to zoom.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.022

Variable is float.

### m_rate

#### Description

This variable should be set to your mouse rate (in Hz). Note: need -m_smooth and -dinput to commandline.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 125

Variable is float.

### m_showrate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Print current mouse rate
0 | Disable

Note: need -m_smooth and -dinput to commandline.

### m_side

#### Description

When the +strafe command is active or when "lookspring" is set to "1" this variable is used to control the sensitivity when the mouse is moved left and right to make the player move left and right.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.

### m_yaw

#### Description

This variable controls how fast the player turns left and right when the mouse is moved left and right. It is recommended that this variable be left alone and instead the "sensitivity" variable is used to change the level of precision. If you set this variable to a negative value you will reverse the mouse movement. Some script writers use this variable to increase the level of precision when the "fov" variable is used to zoom the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.022

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs